Your message dated Thu, 15 Oct 2015 16:19:02 +0000
with message-id <>
and subject line Bug#800359: fixed in diffoscope 37
has caused the Debian Bug report #800359,
regarding diffoscope: diffing two .dsc should diff the full sources
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact

Debian Bug Tracking System
Contact with problems
--- Begin Message ---
Package: diffoscope
Version: 36
Severity: wishlist

Hi there.

I tend to use diffoscope to check the differences between two uploads
because I like it's output much more than a plain debdiff.
So, I'd like to compare the source, and I feed diffoscope with the 2
.dsc; it shows me only the diff of the .dsc files iteself, which is
quite uselss.

I'd prefer diffosocpe to behave the same why it does with .changes and
diff all the files listed in the Files: field of the .dscs.

-- System Information:
Debian Release: stretch/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)
Foreign Architectures: i386, arm64, armhf

Kernel: Linux 4.2.0-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: systemd (via /run/systemd/system)

Versions of packages diffoscope depends on:
ii  python3               3.4.3-6
ii  python3-debian        0.1.27
ii  python3-libarchive-c  2.1-3
ii  python3-magic         1:5.25-2
ii  python3-rpm 
ii  python3-tlsh          3.2.1+20150727-2
pn  python3:any           <none>

Versions of packages diffoscope recommends:
ii  acl                       2.2.52-2
ii  binutils-multiarch        2.25.1-3
ii  bzip2                     1.0.6-8
ii  cpio                      2.11+dfsg-4.1
ii  default-jdk [java-sdk]    2:1.7-52
ii  fontforge-extras          0.3-4
ii  genisoimage               9:1.1.11-3
ii  gettext                   0.19.6-1
ii  ghc                       7.8.4-9
ii  gnupg                     1.4.19-5
ii  mono-utils                3.2.8+dfsg-10
ii  openjdk-7-jdk [java-sdk]  7u85-2.6.1-3
ii  pdftk                     2.02-3
ii  poppler-utils             0.26.5-4
ii  rpm2cpio        
ii  sng                       1.0.6-2
ii  sqlite3         
ii  squashfs-tools            1:4.3-2
ii  unzip                     6.0-18
ii  vim-common                2:7.4.826-1
ii  xz-utils                  5.1.1alpha+20120614-2.1

diffoscope suggests no packages.

-- no debconf information

                        Mattia Rizzolo

GPG Key: 66AE 2B4A FCCF 3F52 DA18  4D18 4B04 3FCD B944 4540      .''`.
more about me:                              : :'  :
Launchpad user:                  `. `'`
Debian QA page:  `-

Attachment: signature.asc
Description: PGP signature

--- End Message ---
--- Begin Message ---
Source: diffoscope
Source-Version: 37

We believe that the bug you reported is fixed in the latest version of
diffoscope, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
Jérémy Bobbio <> (supplier of updated diffoscope package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing

Hash: SHA256

Format: 1.8
Date: Thu, 15 Oct 2015 16:45:55 +0200
Source: diffoscope
Binary: diffoscope debbindiff
Architecture: source all
Version: 37
Distribution: unstable
Urgency: low
Maintainer: Reproducible builds folks 
Changed-By: Jérémy Bobbio <>
 debbindiff - transitional package
 diffoscope - in-depth comparison of files, archives, and directories
Closes: 788364 799863 799901 800359 801333 801766
 diffoscope (37) unstable; urgency=low
   * Switch to incremental interface for TLSH. That means we won't load
     800 MiB or more in memory to compute the fuzzy hash.
   * Add support for CBFS images (Closes: #788364)
   * Add support for .dsc files (Closes: #800359)
   * Fix handling of malformed md5sums file. (Closes: #799901)
   * Fix placeholder encoding issue when trimming stderr.
     (Closes: #799863)
   * Read text report as UTF-8 encoded in test_text_option_with_file.
     (Closes: #801766)
   * Read Haskell interfaces in binary mode (Closes: #801333)
   * Read md5sums file using UTF-8.
   * Add a test for --max-diff-block-lines.
   * Handle closing stdin for Command implementing feed_stdin.
   * Handle subprocess errors with no output when comparing with a command.
   * Use name and not path when doing binary comparisons.
   * Add a test for --list-tools.
   * Fix main exception handling.
   * Use text file comparison for .dsc and .changes when the referenced files
     are missing.
   * Do skip squashfs test if there's no user with uid 1000.
   * Use super() instead of the old cumbersome form.
 436adb3763d0cd1a647dee0b3752b356b2cceb20 1979 diffoscope_37.dsc
 7a99da70f15ffb9c3a1067cd3886eef78fc20bbc 207296 diffoscope_37.tar.xz
 c1e8feffecb6e58a2ef7a72c427da3a5415270a7 10130 debbindiff_37_all.deb
 a549ffc3416b8b0babb82a0db8ccaeaa3a35e634 43140 diffoscope_37_all.deb
 1ef275ac33685737eaa0f668a84d17d31a1293564f9814d0a40fb25153f5fe89 1979 
 3238633f091976d1cd06c2c8f682a2978efa8961f2bdac4452eb755eb59efe1d 207296 
 872e85ebd7482c26458a2d73263aa33d29304ac4ec093fb0c74c637f36a5b5b3 10130 
 093e8c23fbec5ab18b599f1ab85c65add7f8f38eb821e53b24c997a164c8b892 43140 
 918e78ca52f459e791e40087071194f3 1979 devel optional diffoscope_37.dsc
 0fe1c4d5aaa11015bb22d511b84d461c 207296 devel optional diffoscope_37.tar.xz
 60e570a8843ec605be040a80c5cd7dbc 10130 oldlibs extra debbindiff_37_all.deb
 1d671c48169eeeca09859b9927d10d80 43140 devel optional diffoscope_37_all.deb

Version: GnuPG v1.4.12 (GNU/Linux)


--- End Message ---
Reproducible-builds mailing list

Reply via email to